Skip to main content
POST
https://{yourDomain}
/
dbconnections
/
change_password
Request Password Change
curl --request POST \
  --url https://{yourDomain}/dbconnections/change_password \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "client_id": "YOUR_CLIENT_ID",
  "email": "user@example.com",
  "connection": "Username-Password-Authentication"
}
'
"We've just sent you an email to reset your password."

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Body

application/json
client_id
string
required

Your application's Client ID

email
string<email>
required

The user's email address

connection
string
required

The name of the database connection

organization
string

The ID of the organization (for organization-specific password reset)

Response

Password reset email sent successfully (or user not found - response is the same for security)

The response is of type string.